Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.7.3, 2.8.0
    • Fix Version/s: 2.8.2, 2.9.1, 2.10.0
    • Component/s: osgi
    • Labels:
      None

      Description

      The current OSGi version used by Camel (as defined in the parent/pom.xml) is 4.1.0. This version is out of date and Karaf uses OSGi 4.2.0.

        Activity

        Hide
        Jean-Baptiste Onofré added a comment -

        Fixed on trunk: revision 1152174.

        Show
        Jean-Baptiste Onofré added a comment - Fixed on trunk: revision 1152174.
        Hide
        Jean-Baptiste Onofré added a comment -

        The OSGi 4.2.0 requires some update on camel-blueprint component as the Blueprint Container changed. I update that only on trunk.

        Show
        Jean-Baptiste Onofré added a comment - The OSGi 4.2.0 requires some update on camel-blueprint component as the Blueprint Container changed. I update that only on trunk.

          People

          • Assignee:
            Jean-Baptiste Onofré
            Reporter:
            Jean-Baptiste Onofré
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development